GetTransactionFromPending
POST
Get transaction details from the pending pool
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
valuestring
The transaction hash to retrieve information for. Example: 6b0384b180d43421277822627d04b123f1091c0153b8e11326c1298e4d8a9b53visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
List of transaction execution results.
contractRetstring
Transaction Execution Results.signaturearray
Transaction signature.txIDstring
Transaction ID(Hash).Transaction content. See here for details.
List of contracts included in the transaction.
Contract parameter.
Parameter values for the contract type.
amountinteger
Amount transferred. (Unit: sun)owner_addressstring
Address of the account that created the transaction.to_addressstring
Recipient address.type_urlstring
Protobuf type URL of the contract parameter.typestring
Contract type.ref_block_bytesstring
The last two bytes of the reference block's number (height), used for transaction validation.ref_block_hashstring
Bytes 8 to 16 of the reference block's hash, used for transaction validation.expirationinteger
Transaction expiration time. (Unit: millisecond)timestampinteger
Timestamp. (Unit: millisecond)raw_data_hexstring
The transaction's raw data. (Format: hex)codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/gettransactionfrompending' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"value": "6b0384b180d43421277822627d04b123f1091c0153b8e11326c1298e4d8a9b53"}'